# Blue Twilight: PHP photo gallery

Blue Twilight is a web-based application to store, manage and display collections of photos, organised into Galleries.

It takes advantage of modern frameworks (Laravel, Bootstrap 4, VueJS) as well as new approaches to photo management - such as storing photos on cloud storage providers (Memstore, Rackspace, Amazon S3) and serving the images directly from the respective CDNs.

You can see Blue Twilight in action on my own photo gallery - the reason I wrote Blue Twilight - at: https://photos.andyheathershaw.uk

## Current Release (2.0.0)

Version 2 is the first version I have released as open-source. The previous version (1.1.2) was only ever used on my own gallery.

This is a major update that includes 2 key new features: fine-grained security controls, and nested albums. It also updates the default template to Bootstrap v4 and VueJS (replacing KnockoutJS.)

Version 2.0.0 has now been officially released.

## Useful Links

* [Blue Twilight website](https://www.andyheathershaw.uk/software/blue-twilight-php-photo-gallery/)
* [User Manual](https://www.andyheathershaw.uk/software/blue-twilight-php-photo-gallery/manual/)
* [Installation Guide](https://www.andyheathershaw.uk/software/blue-twilight-php-photo-gallery/manual/installation/)
* [Issues/Tasks](https://projects.andys.eu/aheathershaw/blue-twilight/issues)
* [Roadmap](https://projects.andys.eu/aheathershaw/blue-twilight/milestones)

## Need Help?

I'd love to get you up and running. If you need assistance installing the Blue Twilight PHP photo gallery, or would like to me to do it for you, please get in touch using the contact form located at:

[www.andyheathershaw.uk/contact](http://www.andyheathershaw.uk/contact)